=== debian/control ===
Source: libusrsctp
Section: net
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 autotools-dev,
 d-shlibs,
 debhelper,
 dh-autoreconf | debhelper (>= 9.20160403~) | debhelper-compat,
 pkg-kde-tools,
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/pkg-voip-team/libusrsctp.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libusrsctp
Homepage: https://github.com/sctplab/usrsctp
Rules-Requires-Root: no

Package: libusrsctp1
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: portable SCTP userland stack - shared library
 This is a userland SCTP stack.
 .
 SCTP is a message oriented, reliable transport protocol
 with direct support for multihoming
 that runs on top of IP or UDP,
 and supports both v4 and v6 versions.
 .
 This package provides the shared library for usrsctp.

Package: libusrsctp-dev
Section: libdevel
Architecture: any
Depends:
 libusrsctp1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: portable SCTP userland stack - development headers
 This is a userland SCTP stack.
 .
 SCTP is a message oriented, reliable transport protocol
 with direct support for multihoming
 that runs on top of IP or UDP,
 and supports both v4 and v6 versions.
 .
 This package provides the development files for usrsctp.

Package: libusrsctp-examples
Architecture: any
Depends:
 libusrsctp1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: portable SCTP userland stack - example programs
 This is a userland SCTP stack.
 .
 SCTP is a message oriented, reliable transport protocol
 with direct support for multihoming
 that runs on top of IP or UDP,
 and supports both v4 and v6 versions.
 .
 This package provides example programs for usrsctp.
