=== programs/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2015-2015 Oleg Alexeenkov
-# Copyright (C) 2015-2017 Felix Weinrank
+# Copyright (C) 2015-2019 Felix Weinrank
 #
 # All rights reserved.
 #
@@ -56,6 +56,19 @@
 	add_definitions(-D__APPLE_USE_RFC_2292)
 endif ()
 
+if (MSYS OR MINGW)
+	message(STATUS "MSYS / MINGW")
+	add_definitions(-D__USE_MINGW_ANSI_STDIO)
+	# 0x0601 = Windows 7 API
+	add_definitions(-DWINVER=0x0601)
+	add_definitions(-D_WIN32_WINNT=0x0601)
+
+	if (CMAKE_C_COMPILER_ID MATCHES "GNU")
+		message(STATUS "MSYS / MINGW + GCC")
+		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-format")
+	endif ()
+endif ()
+
 
 #################################################
 # MISC
@@ -68,7 +81,7 @@
 # PROGRAMS
 #################################################
 
-set(check_programs
+list(APPEND check_programs
 	chargen_server_upcall.c
 	client.c
 	client_upcall.c
@@ -87,6 +100,7 @@
 	http_client.c
 	http_client_upcall.c
 	rtcweb.c
+	st_client.c
 	test_libmgmt.c
 	test_timer.c
 	tsctp.c
@@ -98,6 +112,7 @@
 	add_executable(
 		${source_file_we}
 		${source_file}
+		programs_helper.c
 	)
 
 	target_link_libraries(
