=== debian/changelog ===
libusrsctp (0.9.3.0+20190901-1) unstable; urgency=medium

  [ upstream ]
  * New development snapshot.

  [ Jonas Smedegaard ]
  * Update watch file: Use git mode.
  * Declare compliance with Debian Policy 4.4.0.
  * Update copyright info: Extend coverage for upstream authors.
  * Mark shared libraries and development packages as "Multi-Arch: same".
    Closes: Bug#934985. Thanks to Jens Reyer.
  * Temporarily suppress GCC address-of-packed-member warnings
    (see Bug#925763).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Sep 2019 13:49:21 +0200
