=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper,
  dh-autoreconf | debhelper (>= 9.20160403~) | debhelper-compat,
  pkg-kde-tools,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/libusrsctp.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libusrsctp
 Homepage: https://github.com/sctplab/usrsctp
@@ -19,6 +19,7 @@
 Package: libusrsctp1
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -35,6 +36,7 @@
 Package: libusrsctp-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  libusrsctp1 (= ${binary:Version}),
  ${misc:Depends},
