=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# TODO: fix code instead!
+export DEB_CFLAGS_MAINT_APPEND = -Wno-address-of-packed-member
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
