=== debian/changelog ===
libusrsctp (0.9.3.0+20200406-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * update gib-buildpackage config: use branch buster
  * fix build-depend versioned on debelper

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Apr 2020 02:01:05 +0200

libusrsctp (0.9.3.0+20200406-1) unstable; urgency=medium

  [ upstream ]
  * new development snapshot

  [ Jonas Smedegaard ]
  * copyright: extend coverage
  * update symbols: 4 private symbols added

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Apr 2020 03:09:47 +0200

libusrsctp (0.9.3.0+20200312-1) unstable; urgency=medium

  [ upstream ]
  * New development snapshot.
    + improve input validation for some parameters
      closes: Bug#953270, thanks to Salvatore Bonaccorso
      ( CVE-2019-20503 )

  [ Jonas Smedegaard ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Drop unnecessary dh arguments: --parallel
  * stop build-depend on dh-autoreconf autotools-dev
  * copyright-check: skip fuzzer corpus
  * use dh execute_after_* (not override_*)
  * declare compliance with Debian Policy 4.5.0
  * add symbols file
  * copyright:
    + update tracking of a few renamed files
    + track 1 file with slightly different copyright/licensing

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Mar 2020 13:03:35 +0100
