=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- autotools-dev,
  d-shlibs,
- debhelper,
- dh-autoreconf | debhelper (>= 9.20160403~) | debhelper-compat,
+ debhelper (>= 12.8),
+ debhelper-compat (= 12),
  pkg-kde-tools,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/libusrsctp.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libusrsctp
 Homepage: https://github.com/sctplab/usrsctp
