=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	d-shlibmove --commit \
 		--devunversioned \
 		--exclude-la \
@@ -17,4 +16,4 @@
 		debian/tmp/usr/lib/*/*.so
 
 %:
-	dh $@ --with autoreconf,pkgkde_symbolshelper --parallel
+	dh $@ --with pkgkde_symbolshelper
