## libusrsctp 0.9.3.0+20200422

=== debian/changelog ===
libusrsctp (0.9.3.0+20200422-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Apr 2020 13:27:38 +0200
