=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  d-shlibs,
- debhelper (>= 12.8),
  debhelper-compat (= 12),
  pkg-kde-tools,
 Standards-Version: 4.5.0
